Robotics Service Bus - Enhancement #302
Tasks # 292 (Resolved): Fix communication with C++ baseline
Adapt converter selection

05/18/2011 01:31 PM - J. Moringen

Implement the following aspects which are specified in [[Conversion]]
- Implement something like ConflictFreeConverterSet
- Useitin
- ParticipantConfig
- Connectors
- Converter options should dispatch on implementation language
Description

Associated revisions

Revision eee6b9bb - 05/18/2011 01:48 PM - J. Moringen
Implementation-language-specific converter option names
refs #302

- rsb/__init__.py: dispatch on implementation language when looking up

converter selections

Revision f38ac643 - 05/18/2011 03:31 PM - J. Moringen
Rewrote converter lookup logic
refs #302
- rsb/transport/converter.py: Converter objects now store wire-type,
wire-schema and data-type; ConverterMap supports lookup by
wire-schema and data-type
- rsb/transport/__init__.py: Port can now look up converters based on
wire-schema and data-type
- rsb/rsbspread/__init__.py: verify converter map based on wire-type;
look up converter based on wire-schema for deserialization and

directly based on data for

test/rsbspreadtest.py: adapted to changed interfaces
- test/utiltest.py: likewise

Revision b52a6e96 - 05/18/2011 08:32 PM - J. Moringen
Added class UnambiguousConverterMap in rsb/transport/converter.py
refs #302
- rsb/transport/converter.py: added classes UnambiguousConverterMap
which does not accept converters with identical wire-schema but
different data types
- test/convertertest.py: new file; initial unit tests for ConverterMap
and UnambiguousConverterMap

Revision 7a25c¢781 - 05/20/2011 08:17 PM - J. Moringen
Implement new converter disambiguation strategy
fixes #302
- rsb/__init__.py: accept new implementation-language-specific
converter selection options; construct UnambiguousConverterMap
object based on configuration information
- rsb/rsbspread/__init__.py: converterMap parameter of constructor is
now mandatory
- rsb/transport/__init__.py: likewise
- test/rsbspreadtest.py: pass converterMap objects to constructed

ports in all test cases

History

#1 - 05/18/2011 01:32 PM - J. Moringen
- Parent task set to #292

#2 - 05/20/2011 08:20 PM - J. Moringen
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset r1067.
